ModelMessageStopEvent
Defined in: src/models/streaming.ts:204
Event emitted when the message completes.
Implements
Section titled “Implements”Constructors
Section titled “Constructors”Constructor
Section titled “Constructor”new ModelMessageStopEvent(data): ModelMessageStopEvent;Defined in: src/models/streaming.ts:220
Parameters
Section titled “Parameters”| Parameter | Type |
|---|---|
data | ModelMessageStopEventData |
Returns
Section titled “Returns”ModelMessageStopEvent
Properties
Section titled “Properties”readonly type: "modelMessageStopEvent";Defined in: src/models/streaming.ts:208
Discriminator for message stop events.
Implementation of
Section titled “Implementation of”ModelMessageStopEventData.type
stopReason
Section titled “stopReason”readonly stopReason: StopReason;Defined in: src/models/streaming.ts:213
Reason why generation stopped.
Implementation of
Section titled “Implementation of”ModelMessageStopEventData.stopReason
additionalModelResponseFields?
Section titled “additionalModelResponseFields?”readonly optional additionalModelResponseFields?: JSONValue;Defined in: src/models/streaming.ts:218
Additional provider-specific response fields.